# List brand kit sections

Retrieves a list of sections in a brand kit. Each section contains information that define the brand's identity and guidelines, such as *Brand Context*, *Global Goals*, and *Tone of Voice*.
To return actual content in the sections, the [Documents REST API](https://api-docs.sitecore.com/ai-skills/ai-document-management-rest-api) and [Pipeline REST API](https://api-docs.sitecore.com/ai-skills/ai-pipeline-rest-api) must have already been used to upload and process brand documents for the brand kit.

Endpoint: GET /api/brands/v1/organizations/{organizationId}/brandkits/{brandkitId}/sections
Version: v1.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `organizationId` (string, required)
    The unique identifier of your organization.

 To get this value, in the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL, the `organizationId` comes after `organization=` .

  - `brandkitId` (string, required)
    The unique identifier of your brand kit.

 To get this value, use the [List brand kits](#operation/list_brand_kits) endpoint  to return the `id` of each brand kit in your organization. This is the same `id` returned when you create a brand kit using the [Create a brand kit](#operation/create_brand_kit) endpoint.

 Alternatively, you can open your brand kit in Stream. In the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL,  `brandkitId` comes after `brandkits/`.

## Query parameters:

  - `sectionIds` (any)
    An array of section IDs to filter the results. If not provided, all sections in the brand kit are returned.

  - `includeDeleted` (any)
    Whether to include deleted sections in the response.

## Response 200:

  - `200` (unknown)
    Brand kit sections retrieved successfully

## Response 200 fields (application/json):

  - `deletable` (any)
    Whether the section can be deleted.
    Example: true

  - `id` (string, required)
    The unique identifier of the brand kit section.
    Example: 37a49437-e1c8-4697-b1c2-914e2382ea75

  - `name` (string, required)
    The name of the brand kit section.
    Example: Brand Context

  - `order` (any)
    The position of the section within the brand kit. For example, if *Global Goals* is the first section, its `order` is `1`. If *Brand Context* is second, `order` is `2`, and so on.
    Example: 2

  - `createdOn` (any)
    The date and time when the section was created, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `createdBy` (any)
    The user who created the section.
    Example: mman

  - `updatedOn` (any)
    The date and time when the section was last updated, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `updatedBy` (any)
    The user who last updated the section.
    Example: mman

  - `deletedAt` (any)
    The date and time when the section was deleted, if applicable, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `properties` (any)
    Additional properties for the section.

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `detail` (string, required)

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

## Response 500:

  - `500` (unknown)
    Brand kit operation failed

## Response 500 fields (application/json):

  - `detail` (string, required)

